> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# createQuote



## OpenAPI

````yaml /openapi/transportsoa-api.openapi.json post /rentalapi/v1/createQuote
openapi: 3.0.0
info:
  description: >-
    TransportSOA API for rental availability, quotes, reservations, and
    transport-related test utilities.
  version: '1.0'
  title: TransportSOA API
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: //tstest.websitetravel.com/transportsoa
security: []
tags:
  - name: rental-controller
    description: Rental Controller
  - name: test-controller
    description: Test Controller
paths:
  /rentalapi/v1/createQuote:
    post:
      tags:
        - rental-controller
      summary: createQuote
      operationId: createQuoteUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteCreationRequest'
        description: requestDTO
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResponseDTO_CreateQuoteResponse_'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    QuoteCreationRequest:
      type: object
      properties:
        campaignCode:
          type: string
        categoryCode:
          type: string
        driverAge:
          type: string
        dropOffDateTime:
          type: string
          format: date-time
        dropOffLocationName:
          type: string
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        mobilePhone:
          type: string
        numberOfTravelling:
          type: integer
          format: int32
        pickUpDateTime:
          type: string
          format: date-time
        pickUpLocationName:
          type: string
        source:
          type: string
      title: QuoteCreationRequest
    SuccessResponseDTO_CreateQuoteResponse_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CreateQuoteResponse'
        message:
          type: string
        status:
          type: integer
          format: int32
      title: SuccessResponseDTO«CreateQuoteResponse»
    CreateQuoteResponse:
      type: object
      properties:
        agentBalanceDue:
          $ref: '#/components/schemas/PriceResponse'
        agentCollects:
          $ref: '#/components/schemas/PriceResponse'
        agentCommission:
          $ref: '#/components/schemas/PriceResponse'
        balanceDue:
          $ref: '#/components/schemas/PriceResponse'
        balanceDueWithCCFee:
          $ref: '#/components/schemas/PriceResponse'
        ccSurchargePercentage:
          type: number
          format: float
        fleetCategory:
          $ref: '#/components/schemas/FleetCategoryResponse'
        insuranceProducts:
          type: array
          items:
            $ref: '#/components/schemas/ProductResponse'
        kmCharges:
          type: array
          items:
            $ref: '#/components/schemas/KmChargeResponse'
        lines:
          type: array
          items:
            $ref: '#/components/schemas/ItemResponse'
        quoteId:
          type: string
        rentalDays:
          type: integer
          format: int32
        reservationId:
          type: integer
          format: int64
        reservationReference:
          type: string
        secondaryProducts:
          type: array
          items:
            $ref: '#/components/schemas/ProductResponse'
        source:
          type: string
        totalPrice:
          $ref: '#/components/schemas/PriceResponse'
      title: CreateQuoteResponse
    PriceResponse:
      type: object
      properties:
        currencyCode:
          type: string
        value:
          type: number
          format: float
      title: PriceResponse
    FleetCategoryResponse:
      type: object
      properties:
        agentCommissionRate:
          type: integer
          format: int32
        agentPaymentType:
          type: integer
          format: int32
        availability:
          type: string
        campaignCode:
          type: string
        campaignId:
          type: string
        categoryCode:
          type: string
        dailyRate:
          $ref: '#/components/schemas/PriceResponse'
        dealText:
          type: string
        description:
          type: string
        discountPercentageApplied:
          type: integer
          format: int32
        freeDays:
          type: integer
          format: int32
        id:
          type: string
        isAfterHourPickUp:
          type: boolean
        mandatoryFees:
          type: array
          items:
            $ref: '#/components/schemas/MandatoryFee'
        minimumHirePeriod:
          type: string
        name:
          type: string
        priceDifference:
          type: string
        rentalDays:
          type: integer
          format: int32
        total:
          $ref: '#/components/schemas/PriceResponse'
        type:
          type: string
        typeSlug:
          type: string
      title: FleetCategoryResponse
    ProductResponse:
      type: object
      properties:
        allowMultiple:
          type: boolean
        description:
          type: string
        group:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/ItemResponse'
        required:
          type: boolean
        webCategory:
          type: string
      title: ProductResponse
    KmChargeResponse:
      type: object
      properties:
        allowMultiple:
          type: boolean
        description:
          type: string
        group:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/ItemKmChargeResponse'
        required:
          type: boolean
        webCategory:
          type: string
      title: KmChargeResponse
    ItemResponse:
      type: object
      properties:
        allowMultiple:
          type: boolean
        category:
          type: string
        commissionable:
          type: boolean
        description:
          type: string
        excess:
          $ref: '#/components/schemas/PriceResponse'
        excessType:
          type: string
        gst:
          type: boolean
        isDefault:
          type: boolean
        isMandatory:
          type: boolean
        isPercentageOnTotalCost:
          type: boolean
        maxPrice:
          $ref: '#/components/schemas/PriceResponse'
        name:
          type: string
        numberOfDaysCalculated:
          type: integer
          format: int32
        payAgency:
          type: boolean
        price:
          $ref: '#/components/schemas/PriceResponse'
        productCode:
          type: string
        productId:
          type: string
        productType:
          type: string
        qty:
          type: integer
          format: int32
        rentalDays:
          type: integer
          format: int32
        stampduty:
          type: boolean
        total:
          $ref: '#/components/schemas/PriceResponse'
      title: ItemResponse
    MandatoryFee:
      type: object
      properties:
        AllowMultiple:
          type: boolean
        Category:
          type: string
        Commissionable:
          type: boolean
        Description:
          type: string
        IsMandatory:
          type: boolean
        MaxPrice:
          $ref: '#/components/schemas/Price'
        Name:
          type: string
        NumberOfDaysCalculated:
          type: integer
          format: int32
        Price:
          $ref: '#/components/schemas/Price'
        ProductId:
          type: string
        ProductType:
          type: string
        Qty:
          type: integer
          format: int32
        RentalDays:
          type: integer
          format: int32
        Total:
          $ref: '#/components/schemas/Price'
      title: MandatoryFee
    ItemKmChargeResponse:
      type: object
      properties:
        dailyRate:
          $ref: '#/components/schemas/PriceResponse'
        description:
          type: string
        feeForEachAdditionalKm:
          $ref: '#/components/schemas/PriceResponse'
        id:
          type: integer
          format: int32
        isDefault:
          type: boolean
        maximumPrice:
          $ref: '#/components/schemas/PriceResponse'
        mileageDesc:
          type: string
        notes:
          type: string
        numberOfDays:
          type: integer
          format: int32
        numberOfKmsFree:
          type: integer
          format: int32
        totalAmount:
          $ref: '#/components/schemas/PriceResponse'
      title: ItemKmChargeResponse
    Price:
      type: object
      properties:
        CurrencyCode:
          type: string
        Value:
          type: number
          format: float
      title: Price

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.